/*****************************************************************************/
/* A device driver for usbfront_device devices.                              */
/*                                                                           */
/* Copyright (c) 2005 Harry Butterworth IBM Corporation                      */
/*                                                                           */
/* This program is free software; you can redistribute it and/or modify it   */
/* under the terms of the GNU General Public License as published by the     */
/* Free Software Foundation; either version 2 of the License, or (at your    */
/* option) any later version.                                                */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* You should have received a copy of the GNU General Public License along   */
/* with this program; if not, write to the Free Software Foundation, Inc.,   */
/* 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA                   */
/*                                                                           */
/*****************************************************************************/

#ifndef USBFRONT_DRIVER_H
#define USBFRONT_DRIVER_H

#include "usbfront_hcd_resource.h"

/* Interface to module code */

extern int usbfront_driver_init( void );

extern void usbfront_driver_exit( void );

/* Interface to resource object */

void usbfront_hcd_resource_completed
  ( struct usbfront_hcd * uhcd, struct usbfront_hcd_resource * resource );

#endif
